Subject: Re: 19 symlinks with missing target
From: "Gerrit P. Haase" <[email-masked]>
To: "Gerrit @ cygwin" <[email-masked]>
Date: Fri, 17 Sep 2004 10:24:51 +0200

Hallo fergus,

Am Freitag, 17. September 2004 um 09:35 schriebst du:

> In something like 90,000 files for the current full installation, of which
> 4,439 are symlinks, there are 19 with missing or wrongly defined target.
> They are 

>  /bin/X11 -> ../X11R6/bin
>  /bin/aclocal-1.4 -> ../autotool/stable/bin/aclocal-1.4
>  /bin/aclocal-1.9 -> ../autotool/devel/bin/aclocal-1.9
>  /bin/automake-1.4 -> ../autotool/stable/bin/automake-1.4
>  /bin/automake-1.9 -> ../autotool/devel/bin/automake-1.9
>  /bin/rcs2log -> ../share/cvs/contrib/rcs2log
>  /lib/X11 -> ../X11R6/lib/X11
>  /lib/gcc-lib/i686-pc-mingw32/3.3.1/gnat1.exe ->
> ../../i686-pc-cygwin/3.3.1/gnat1.exe
>  /lib/rpmpopt -> rpm/rpmpopt
>  /lib/terminfo -> ../share/terminfo

These are actually symlinks from /usr/bin -> target and then they
should be correct.

>  /lib/gcc-lib/i686-pc-cygwin/3.3.3/adalib/libgnarl.so -> libgnarl-*.so
>  /lib/gcc-lib/i686-pc-cygwin/3.3.3/adalib/libgnat.so -> libgnat-*.so

These two are wrong because there ain't such thing as a shared gnat
library, but they are installed during gcc installation. I'll see if I
can fix it.

>  /usr/X11R6/include/X11/X11 -> ../X11R6/include/X11

This one is bogus.  It should be /usr/include/X11 -> and points to the
actual X11 header directory.

>  /usr/X11R6/share/tcm-2.20/help/CHANGELOG -> ../../CHANGELOG
>  /usr/X11R6/share/tcm-2.20/help/COPYING -> ../../COPYING

These are really wrong.  Report to the maintainer, please.

>  /usr/man/de/man1/gsbj.1 -> gslp.1
>  /usr/man/de/man1/gsdj.1 -> gslp.1
>  /usr/man/de/man1/gsdj500.1 -> gslp.1
>  /usr/man/de/man1/gslj.1 -> gslp.1

Which package are these from?  Probably a packaging error?  Report to
the maintainer, please. 

> I can see that all those under /bin/ and some but not all under /lib/
> actually work properly when mounted respectively under /usr/bin/ and

Aha.

> /usr/lib/. I got the listing by a simple translation of (sp)->(sp) to /../
> for all symlinks and seeing whether the file or folder thus defined existed.
> In 4,420 cases (99.6% success) it did. None of these 19 others seems to be
> particularly problematic (but then I have never knowingly sought to use
> them).

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/